const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    Mesa.storage.set('bestseller_index', Mesa.storage.get('bestseller_index') + 1);

    Mesa.output.next({"index": Mesa.storage.get('bestseller_index')});
  }
}
